<div class="preset-details-component-container">
    <ng-container *ngIf="$preset | async as preset">
        <div class="default-padding preset-name">
            {{preset.name}}
        </div>
        <div class="preset-property default-padding">
            <div class="preset-property-name">
                {{'Sensor1 Humidity Min: '}}
            </div>
            <div>
                {{preset.defaultHumidity1Min}}
            </div>
        </div>
        <div class="preset-property default-padding">
            <div class="preset-property-name">
                {{'Sensor1 Humidity Max: '}}
            </div>
            <div>
                {{preset.defaultHumidity1Max}}
            </div>
        </div>
        <div class="preset-property default-padding">
            <div class="preset-property-name">
                {{'Sensor2 Humidity Min: '}}
            </div>
            <div>
                {{preset.defaultHumidity2Min}}
            </div>
        </div>
        <div class="preset-property default-padding">
            <div class="preset-property-name">
                {{'Sensor2 Humidity Max: '}}
            </div>
            <div>
                {{preset.defaultHumidity2Max}}
            </div>
        </div>
        <div class="preset-property default-padding">
            <div class="preset-property-name">
                {{'Battery Level Min: '}}
            </div>
            <div>
                {{preset.defaultBatteryLevelMin}}
            </div>
        </div>
        <div class="preset-property default-padding">
            <div class="preset-property-name">
                {{'Battery Level Max: '}}
            </div>
            <div>
                {{preset.defaultBatteryLevelMax}}
            </div>
        </div>
        <div class="preset-property default-padding">
            <div class="preset-property-name">
                {{'Temperature Min: '}}
            </div>
            <div>
                {{preset.defaultTemperatureMin}}
            </div>
        </div>
        <div class="preset-property default-padding">
            <div class="preset-property-name">
                {{'Temperature Max: '}}
            </div>
            <div>
                {{preset.defaultTemperatureMax}}
            </div>
        </div>
    </ng-container>
</div>
